img-pcx(3tk)

NAME
img-pcx - Paintbrush format (pcx)

SYNOPSIS
package require img::pcx ?2.0?

DESCRIPTION
package require img::pcx

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Paintbrush format (pcx). More specifically img::pcx extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is pcx. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in pcx format (options -data and -file) is detected automatically.

[2] The format name pcx is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::pcx is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::pcx.

SUPPORTED TYPES
This format handler supports the following image types:

•   1-bit pixels: Black and White.

•   8-bit pixels: Grayscale or indexed.

•   24-bit pixels: Truecolor (RGB, 8-bit channels).

All images types may be either uncompressed or run-length encoded.

     Image  |     Read      |     Write     |
     type   | -file | -data | -file | -data |
     ----------------------------------------
      1-bit | Yes   | Yes   | No    | No    |
      8-bit | Yes   | Yes   | No    | No    |
     24-bit | Yes   | Yes   | Yes   | Yes   |

NOTES

[1] Chapter Image Metadata of the Img manual page describes the parameters of the resolution related options.

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 1.3.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-compression string
    This option is supported for writing only. Available since version 1.3.

    Set the compression mode to either none or rle. Default is rle.

-resolution xres ?yres?
    This option is supported for writing only. Available since version 2.0.

    Set the resolution values of the written image file. If yres is not specified, it is set to the value of xres.

    If option is not specified, the DPI and aspect values of the metadata dictionary are written. If no metadata values are available, no resolution values are written.

-xresolution xres
    This option is supported for writing only. Available since version 2.0.

    Set the horizontal resolution value of the written image file.

-yresolution yres
    This option is supported for writing only. Available since version 2.0.

    Set the vertical resolution value of the written image file.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2024 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2024 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2024 Paul Obermeier <obermeier@users.sourceforge.net>